'use strict';

var execa = require('execa');
var path = require('path');
var fs = require("fs");
var tts = require('../index.js');
var prettier = require('./prettier.js');
var esformatter = require('./esformatter.js');
var fileEnum = {
  'tsx': 'jsx',
  'ts': 'js'
};
var resolve = function resolve() {
  for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }

  return path.resolve.apply(path, [process.cwd()].concat(args));
};

// 生成 js 文件
async function createFile(filePath, content) {
  var sourcePath = filePath.split('.');
  var fileType = sourcePath.pop();
  sourcePath.join('');
  if (fileType !== 'ts' && fileType !== 'tsx') return;
  sourcePath += '.' + fileEnum[fileType];
  var newContent = tts.toJs(content);
  newContent = esformatter.toJs(newContent);
  newContent = prettier.toJs(newContent);
  await fs.writeFile(resolve(sourcePath), newContent, 'utf8', function (error) {
    if (error) {
      console.log(error);
      return false;
    }
  });
}
// 通过 api 的方式生成文件
function exportFileOfApi(args) {
  args.forEach(function (sourcePath) {
    var content = fs.readFileSync(resolve(sourcePath), "utf-8");
    createFile(sourcePath, content);
  });
}

function run(args) {
  if (args.length == 0) {
    console.log('请输入需要转换的ts路径');
    return;
  }
  exportFileOfApi(args);
}

module.exports = {
  run: run
};