"use strict";

module.exports = {
  "compilerOptions": {
    "target": "es6",
    /* Specify ECMAScript target version: 'ES3' (default), 'ES5', 'ES2015', 'ES2016', 'ES2017','ES2018' or 'ESNEXT'. */
    "module": "esnext",
    /* Specify module code generation: 'none', 'commonjs', 'amd', 'system', 'umd', 'es2015', or 'ESNext'. */
    "lib": ["dom", "esnext"],
    /* Specify library files to be included in the compilation. */
    "allowJs": true,
    /* Allow javascript files to be compiled. */
    /* Report errors in .js files. */
    "jsx": "preserve",
    /* Specify JSX code generation: 'preserve', 'react-native', or 'react'. */
    /* Do not emit comments to output. */
    "noEmit": true,
    /* Do not emit outputs. */
    "importHelpers": true,
    /* Import emit helpers from 'tslib'. */
    "strict": true,
    /* Enable all strict type-checking options. */
    "noUnusedLocals": true,
    /* Report errors on unused locals. */
    "moduleResolution": "node",
    /* Specify module resolution strategy: 'node' (Node.js) or 'classic' (TypeScript pre-1.6). */
    "allowSyntheticDefaultImports": true,
    /* Allow default imports from modules with no default export. This does not affect code emit, just typechecking. */
    "esModuleInterop": true,
    /* Enables emit interoperability between CommonJS and ES Modules via creation of namespace objects for all imports. Implies 'allowSyntheticDefaultImports'. */
    "experimentalDecorators": true
    /* Enables experimental support for ES7 decorators. */
    /* Enables experimental support for emitting type metadata for decorators. */
  }
};