const execa = require('execa');
const path = require('path');
const fs = require("fs");
const tts = require('../index.js');
const prettier = require('./prettier.js');
const esformatter = require('./esformatter.js');
const fileEnum = {
  'tsx': 'jsx',
  'ts': 'js',
}
const resolve = (...args) => path.resolve(process.cwd(), ...args);

// 生成 js 文件
async function createFile(filePath, content) {
  var sourcePath = filePath.split('.');
  const fileType = sourcePath.pop();
  sourcePath.join('');
  if (fileType !== 'ts' && fileType !== 'tsx') return;
  sourcePath += '.' + fileEnum[fileType];
  let newContent = tts.toJs(content);
  newContent = esformatter.toJs(newContent);
  newContent = prettier.toJs(newContent);
  await fs.writeFile(resolve(sourcePath), newContent, 'utf8', function (error) {
    if (error) {
      console.log(error);
      return false;
    }
  })
}
// 通过 api 的方式生成文件
function exportFileOfApi(args) {
  args.forEach((sourcePath) => {
    const content = fs.readFileSync(resolve(sourcePath), "utf-8");
    createFile(sourcePath, content);
  });
}

function run(args) {
  if (args.length == 0) {
    console.log('请输入需要转换的ts路径');
    return;
  }
  exportFileOfApi(args);
}

module.exports = {
  run: run,
}